package cz.jzitnik.game.smelting;

import cz.jzitnik.game.entities.items.Item;
import cz.jzitnik.game.entities.items.ItemBlockSupplier;

import java.util.HashMap;
import java.util.function.Supplier;


public class Smelting {
    public static final HashMap<String, Supplier<Item>> smeltingList = new HashMap<>();
    static {
        smeltingList.put("cobblestone", () -> ItemBlockSupplier.getItem("stone"));
        smeltingList.put("porkchop", () -> ItemBlockSupplier.getItem("cooked_porkchop"));
        smeltingList.put("mutton", () -> ItemBlockSupplier.getItem("cooked_mutton"));
    }

    public static final HashMap<String, Double> fuelList = new HashMap<>();
    static {
        fuelList.put("oak_log", 1.5);
        fuelList.put("oak_planks", 1.5);
    }
}
